CH_PUTS(3)

FUNCTION
ch_puts - Write a character string to a channel.

SYNOPSIS
#include <karma_ch.h>

flag ch_puts

(Channel channel, CONST char *string, flag newline)

DESCRIPTION
Write a character string to a channel.

channel
    The channel object.

string
    The string.

newline
    If TRUE, the routine will write a NEWLINE character after writing the string.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
The routine will not write the NULL terminator character.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/